Bug 180901 - boot process fails to load ethernet controller; probable ACPI problem
boot process fails to load ethernet controller; probable ACPI problem
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: acpid (Show other bugs)
4
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Phil Knirsch
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-10 08:57 EST by bob mckay
Modified: 2015-03-04 20:15 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-13 00:56:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
acpidump output (155.68 KB, text/plain)
2006-02-10 09:00 EST, bob mckay
no flags Details
dmesg output (3.79 KB, text/plain)
2006-02-10 09:01 EST, bob mckay
no flags Details
dmidecode output (22.11 KB, text/plain)
2006-02-10 09:02 EST, bob mckay
no flags Details
lspci output (22.76 KB, text/plain)
2006-02-10 09:03 EST, bob mckay
no flags Details
extract from /var/log/messages (1.32 KB, text/plain)
2006-02-10 09:05 EST, bob mckay
no flags Details

  None (edit)
Description bob mckay 2006-02-10 08:57:31 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X; en) AppleWebKit/417.9 (KHTML, like Gecko) Safari/417.8

Description of problem:
Installed FC4 ('install everything' option) on system based on ASUS P5WD2E motherboard running P4 3.0G 
cpu. The install appeared to be OK. When booted, the ethernet ports fail to be detected (in particular, 
system-config-network shows no ethernet ports).
The only obvious error in /var/log/messages reports an AE_BAD_HEADER from ACPI-1138 in the sequence 
following 'Initializing IPSec netlink socket' (see attached extract from /var/log/messages for details). I am 
assuming that this should be reported against acpid - apologies if this is wrong.

Version-Release number of selected component (if applicable):
acpid-1.0.4-1

How reproducible:
Always

Steps to Reproduce:
1. Boot system
2. Load system-config-network
3.
  

Actual Results:  No ethernet ports are detected (there are two on the motherboard)

Expected Results:  The ethernet ports should have been detected

Additional info:

/var/log/messages extract (more details in attachments)
Feb 10 21:07:23 localhost kernel: Initializing IPsec netlink socket
Feb 10 21:07:23 localhost kernel: NET: Registered protocol family 1
Feb 10 21:07:23 localhost kernel: NET: Registered protocol family 17
Feb 10 21:07:23 localhost kernel:     ACPI-1138: *** Error: Method execution fai
led [\_PR_.CPU1._PDC] (Node f7ffe280), AE_BAD_HEADER
Feb 10 21:07:23 localhost kernel:     ACPI-1138: *** Error: Method execution fai
led [\_PR_.CPU2._PDC] (Node f7ffe140), AE_BAD_HEADER
Feb 10 21:07:23 localhost kernel: ACPI wakeup devices:
Feb 10 21:07:23 localhost kernel: P0P1 P0P3 P0P4 P0P5 P0P6 P0P7 P0P8 P0P9 UAR1 U
SB2 USB3 USB4 MC97 USB1 EUSB
Feb 10 21:07:23 localhost kernel: ACPI: (supports S0 S1 S3 S4 S5)
Comment 1 bob mckay 2006-02-10 09:00:06 EST
Created attachment 124488 [details]
acpidump output 

note: acpidump gave the error message "Wrong checksum for generic table!", but
appeared to run OK
Comment 2 bob mckay 2006-02-10 09:01:05 EST
Created attachment 124489 [details]
dmesg output
Comment 3 bob mckay 2006-02-10 09:02:31 EST
Created attachment 124490 [details]
dmidecode output
Comment 4 bob mckay 2006-02-10 09:03:14 EST
Created attachment 124491 [details]
lspci output
Comment 5 bob mckay 2006-02-10 09:05:07 EST
Created attachment 124492 [details]
extract from /var/log/messages

I hope I've got the relevant bit of /var/log/messages. If more is needed, let
me know.
Comment 6 bob mckay 2006-02-12 08:21:01 EST
Hmmm, this may not be ACPI after all. I tried setting "acpi=ht" on boot, and the error message went away, 
but the ethernet ports still weren't detected. So there may be a prior problem causing the acpi error 
message. Will keep digging. 
Comment 7 bob mckay 2006-02-13 00:56:51 EST
Apologies, it appears to be a problem with sk98lin driver for Marvell Yukon NICs. I'll set to 'notabug' if I'm 
allowed.

Note You need to log in before you can comment on or make changes to this bug.